package com.example.demo;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
class DataController {
    private static int callsCount = 0;

    @GetMapping("/data")
    SomeData get() {
        callsCount++;
        var ret = new SomeData();
        ret.setName("ILV Microservice Architecture");
        return ret;
    }

    @GetMapping(value = "/metrics", produces = "text/plain")
    String metrics() {
        String returnMessage = "# HELP calls_count Total number of calls\n# TYPE calls_count counter\ncalls_count "
                + callsCount + "\n";
        callsCount = 0;
        return returnMessage;
    }
}

class SomeData {
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private String name;
}